Download file
Generates a temporary presigned URL for downloading a private file. Only works for files in the "files" bucket. Images are publicly accessible via their location URL.
GET
/v1/files/:fileId/downloadAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
fileId*string
Unique identifier. Must be in BSON ObjectId format.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/files/:fileId/download"{
"data": {
"url": "https://s3.amazonaws.com/bucket-name/filekey?signature=...",
"expiresIn": 300
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}